> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer History by ID

> Get the history of status changes for a transfer.

<ResponseExample>
  ```json theme={null}
  {
    "statuses": [
      {
        "status": "completed",
        "updated_at": "2023-11-07T05:33:00Z"
      },
      {
        "status": "pending",
        "updated_at": "2023-11-07T05:32:00Z"
      },
      {
        "status": "created",
        "updated_at": "2023-11-07T05:31:00Z"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/oas-with-internal-removed.yaml get /deliver/transfers/{id}/history
openapi: 3.0.1
info:
  title: Orum API
  description: Orum API.
  version: v2022-09-21
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api-sandbox.orum.io
  - url: https://vault.api-sandbox.orum.io
security: []
paths:
  /deliver/transfers/{id}/history:
    get:
      tags:
        - Transfers
      summary: Get transfer history by id
      description: Get the history of status changes for a transfer.
      operationId: get-transfer-history
      parameters:
        - name: Orum-Version
          in: header
          required: true
          schema:
            $ref: '#/components/schemas/OrumVersion'
          x-orum-error-invalid:
            known-error: version_invalid
          x-orum-error-missing:
            known-error: version_missing
        - name: id
          description: Orum generated unique id for the transfer.
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/OrumId'
          x-orum-error-invalid:
            known-error: unknown_id_transfer
      responses:
        '200':
          description: 200 response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferHistoryResponse'
        '404':
          description: not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: unexpected error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - oauth2:
            - read:transfers
components:
  schemas:
    OrumVersion:
      type: string
      description: Version of Deliver and Verify APIs. Use v2022-09-21.
      enum:
        - v2022-09-21
    OrumId:
      type: string
      description: Orum generated unique id for the resource.
      format: uuid
    TransferHistoryResponse:
      title: TransferHistoryResponse
      type: object
      required:
        - statuses
      properties:
        statuses:
          type: array
          description: List of transfer status history entries.
          items:
            $ref: '#/components/schemas/TransferHistoryEntry'
    ErrorResponse:
      type: object
      properties:
        error_code:
          type: string
        message:
          type: string
        details:
          type: object
          description: additional details about the error.
          nullable: true
      required:
        - error_code
        - message
    TransferHistoryEntry:
      title: TransferHistoryEntry
      type: object
      required:
        - status
        - updated_at
      properties:
        status:
          $ref: '#/components/schemas/TransferStatus'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
    TransferStatus:
      title: TransferStatus
      type: string
      description: Describes the current status of the transfer.
      enum:
        - completed
        - created
        - failed
        - pending
        - settled
    UpdatedAt:
      type: string
      description: Timestamp when the resource was last updated.
      format: date-time
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api-sandbox.orum.io/oauth/token
          scopes:
            read:persons: Read persons
            write:persons: Write persons
            read:businesses: Read businesses
            write:businesses: Write businesses
            read:external-accounts: Read external accounts
            write:external-accounts: Write external accounts
            read:cards: Read cards
            write:cards: Write cards
            read:transfers: Read transfers
            write:transfers: Write transfers
            read:transfer-groups: Read transfer groups
            write:transfer-groups: Write transfer groups
            read:schedules: Read schedules
            write:schedules: Write schedules
            read:routing-number-eligibility: Read routing number eligibility
            read:balances: Read balances
            read:reports: Read reports
            write:reports: Write reports
            read:booktransfers: Read book transfers
            write:booktransfers: Write book transfers
            read:subledgers: Read subledgers
            write:subledgers: Write subledgers
            read:verify-accounts: Read verify accounts
            write:verify-accounts: Write verify accounts
            read:webhook-configurations: Read webhook configurations
            write:webhook-configurations: Write webhook configurations
            read:webhook-secret: Read webhook secret
            write:webhook-secret: Write webhook secret
            invoke:webhook: Invoke webhook

````